/**
* Fill fields, on double click event on the map:
*/
function nodemap_fill_geo_fields(latValue, lonValue) {
	document.getElementById('edit-nodemap-latitude-field').value = latValue;
	document.getElementById('edit-nodemap-longitude-field').value = lonValue;
}
/**
* Read the geocode fields, and manually put the marker on the map:
*/
function nodemap_manual_marker(verbose) {
	var serviceType = "yahoo";
	var latValue = document.getElementById('edit-nodemap-latitude-field').value;
	var lonValue = document.getElementById('edit-nodemap-longitude-field').value;
	if (latValue.length != 0 && lonValue.length != 0) {
		switch (serviceType) {
			case "yahoo":
			// clear current marker first:
			var yahooMapMarkers = yahooMap.getMarkerIDs();
			for (var iMarker=0; iMarker<yahooMapMarkers.length; iMarker++) {
				yahooMap.removeMarker(yahooMapMarkers[iMarker]);
			}
			// mark location the map:
			var nodeGeoLocation = new YGeoPoint(latValue, lonValue);
			//var nodeMarker = new YMarker(nodeGeoLocation);
			//nodeMarker.addLabel("<div>test label</div>");
			//nodeMarker.openAutoExpand();
			//nodeMarker.addAutoExpand("<p>test label</p>");
			yahooMap.addMarker(nodeGeoLocation);
			//yahooMap.addOverlay(nodeMarker);
			// center the map on the new marker:
			yahooMap.drawZoomAndCenter(nodeGeoLocation, nmDefaultMapZoomLevel);
			break;
		}
	}
	else {
		if (verbose==1) {
			alert("One or both geofields are empty!");
		}
	}
}
/**
* Get geocodes from yahoo:
*/
function nodemap_get_address_geocodes() {
	var addressValue = document.getElementById('edit-nodemap-address-field').value;
	if (addressValue.length != 0) {
		//anti js cache:
		var milisecTime = new Date().getTime();
		//alert(addressValue);
		var sRequestURL = nmBasePath+"nodemap/getgeocodes/"+milisecTime+"/"+addressValue;
		// make a json request through jQuery:
		$.getJSON(sRequestURL, function(data) {
			/*
			var sTestString = data['geocode_data']['Address']+"\n\n";
			sTestString += "Latitude: "+data['geocode_data']['Latitude']+"\n";
			sTestString += "Longitude: "+data['geocode_data']['Longitude']+"\n";
			sTestString += "City: "+data['geocode_data']['City']+"\n";
			sTestString += "State: "+data['geocode_data']['State']+"\n";
			sTestString += "Country: "+data['geocode_data']['Country']+"\n";
			sTestString += "Zip: "+data['geocode_data']['Zip']+"\n";
			*/
			// fill fields:
			nodemap_fill_geo_fields(data['geocode_data']['Latitude'], data['geocode_data']['Longitude']);
			document.getElementById('edit-nodemap-serialized-field').value = data['geocode_serialized'];
			nodemap_manual_marker(0);
		});
	}
	else {
		alert("Empty address field!");
	}
}